[[#> rsp:HomeSidebar]]
<div style="width: 100%; padding: 30px 0px 10px 10px;">
    <h1 class="project-header">
        [[i18n "lincs_linked" bundle="languages/resource_search_searchall" locale=this.lang]]
    </h1>
    <bs-tabs class="semantic-search-first-container" id="semantic-search" mount-on-enter="true">
        <bs-tab class="basicSearch" event-key="searchAll"
            title="[[i18n 'search_all' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search
                config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range . ?field <http://www.researchspace.org/resource/system/fields/category> ?category FILTER(?category in (<http://www.researchspace.org/resource/system/formContainer/category/default>, <http://www.researchspace.org/resource/system/formContainer/category/artworks>, <http://www.researchspace.org/resource/system/formContainer/category/bibliographic>, <http://www.researchspace.org/resource/system/formContainer/category/event>, <http://www.researchspace.org/resource/system/formContainer/category/actor>))}"]]'>
                <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                    <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
                        <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                    "kind": "date-range",
                                    "valuesQuery": "
                                        SELECT ?dateBeginValue ?dateEndValue WHERE {
                                            FILTER(?__facetRelationPattern__).
                                            ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                crm:P82b_end_of_the_end ?dateEndValue .
                                        } ORDER BY ?dateBeginValue
                                    "
                                }
                            }'>
                        </semantic-search-facet>
                    </div>
                    <div>
                        <semantic-search-query-keyword debounce="500" default-query='
                                SELECT ?subject WHERE { 
                                    GRAPH ?graph { ?subject a ?class  .
                                        FILTER( NOT EXISTS {
                                            ?subject a <http://www.cidoc-crm.org/cidoc-crm/E13_Attribute_Assignment>  ;
                                            <http://www.cidoc-crm.org/cidoc-crm/P33_used_specific_technique>  lincs:z7kKbF0M7cw .
                                        })
                                    } .
                                      FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                }
                            ' domain="<http://www.cidoc-crm.org/cidoc-crm/E1_CRM_Entity>"
                            placeholder="[[i18n 'search_lincs' bundle='languages/resource_search_searchall' locale=this.lang]]"
                            query='
                                SELECT ?subject WHERE { 
                                    GRAPH ?graph { 
                                        ?subject a ?class ;
                                            rdfs:label|crm:P190_has_symbolic_content ?search_label . 
                                            FILTER( NOT EXISTS {
                                                ?subject a <http://www.cidoc-crm.org/cidoc-crm/E13_Attribute_Assignment>  ;
                                                <http://www.cidoc-crm.org/cidoc-crm/P33_used_specific_technique>  lincs:z7kKbF0M7cw .
                                            })
                                    }
                                    FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                    SERVICE bds:search {
                                        ?search_label bds:search ?__token__;
                                        bds:minRelevance "0.3";
                                        bds:matchAllTerms "false" ;
                                        bds:relevance ?score .
                                    }
                                    }
                                    ORDER BY desc(?score)
                            '>
                        </semantic-search-query-keyword>
                        <semantic-search-result id="semantic-search-result">
                            <mp-sparql-result-counts id="semantic-search-result-count"
                                query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                <template id="template">
                                    <import-lincs-timline>
                                    </import-lincs-timline>
                                    <div style="padding-top: 10px; padding-bottom: 10px;">
                                        <span class="num-results">
                                            [[i18n "found" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                            <span class="num-results-color">
                                                {{#if
                                                hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                            </span>
                                            [[i18n "in_lincs" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                        </span>
                                    </div>
                                </template>
                            </mp-sparql-result-counts>
                        </semantic-search-result>
                        [[> rsp:SearchResults]]
                    </div>
                </div>
            </semantic-search>
        </bs-tab>
        <bs-tab class="basicSearch" event-key="People"
            title="[[i18n 'search_people' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search
                config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range . ?field <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/actor>  .  }"]]'>
                <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                    <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
                        <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                    "kind": "date-range",
                                    "valuesQuery": "
                                        SELECT ?dateBeginValue ?dateEndValue WHERE {
                                            FILTER(?__facetRelationPattern__).
                                            ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                crm:P82b_end_of_the_end ?dateEndValue .
                                        } ORDER BY ?dateBeginValue
                                    "
                                }
                            }'>
                        </semantic-search-facet>
                    </div>
                    <div>
                        <semantic-search-query-keyword debounce="500" default-query='
                            SELECT ?subject WHERE { 
                                GRAPH ?graph { ?subject a ?class . }
                                { 
                                    ?class rdfs:subClassOf* crm:E21_Person .
                                }
                                FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                            }
                            ' domain="<http://www.cidoc-crm.org/cidoc-crm/E39_Actor>"
                            placeholder="[[i18n 'search_people_1' bundle='languages/resource_search_searchall' locale=this.lang]]"
                            query='
                            SELECT ?subject WHERE { 
                                GRAPH ?graph { ?subject a ?class ; rdfs:label|crm:P190_has_symbolic_content|skos:altLabel|skos:prefLabel ?search_label}
                                { 
                                    ?class rdfs:subClassOf* crm:E21_Person .
                                }
                                FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                SERVICE bds:search {
                                    ?search_label bds:search ?__token__;
                                    bds:minRelevance "0.3";
                                    bds:matchAllTerms "false" ;
                                    bds:relevance ?score .
                                }
                                }
                                ORDER BY desc(?score)
                            '>
                        </semantic-search-query-keyword>
                        <semantic-search-result id="semantic-search-result">
                            <mp-sparql-result-counts id="semantic-search-result-count"
                                query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                <template id="template">
                                    <import-lincs-timline>
                                    </import-lincs-timline>
                                    <div style="padding-top: 10px; padding-bottom: 10px;">
                                        <span class="num-results">
                                            [[i18n "found" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                            <span class="num-results-color">
                                                {{#if
                                                hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                            </span>
                                            [[i18n "people_in" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                        </span>
                                    </div>
                                </template>
                            </mp-sparql-result-counts>
                        </semantic-search-result>
                        [[> rsp:SearchResults]]
                    </div>
                </div>
            </semantic-search>
        </bs-tab>  
        <bs-tab class="basicSearch" event-key="searchPlace"
            title="[[i18n 'search_places' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search
                config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  ; <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/bibliographic>   }"]]'>
                <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                    <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
                        <semantic-search-facet id="semantic-search-facet" open-by-default="false" value-categories='{
                                "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                    "kind": "date-range",
                                    "valuesQuery": "
                                        SELECT ?dateBeginValue ?dateEndValue WHERE {
                                            FILTER(?__facetRelationPattern__).
                                            ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                crm:P82b_end_of_the_end ?dateEndValue .
                                        } ORDER BY ?dateBeginValue
                                    "
                                }
                            }'>
                        </semantic-search-facet>
                    </div>
                    <div>
                        <semantic-search-query-keyword debounce="500" default-query='
                                SELECT ?subject WHERE { 
                                    GRAPH ?graph {   
                                        ?subject a crm:E53_Place .
                                    }
                                    FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                }         
                            ' domain="<http://www.cidoc-crm.org/cidoc-crm/E53_Place>"
                            placeholder="[[i18n 'search_places_1' bundle='languages/resource_search_searchall' locale=this.lang]]"
                            query='
                                SELECT ?subject WHERE { 
                                GRAPH ?graph {
                                    ?subject a crm:E53_Place ;
                                    rdfs:label|crm:P190_has_symbolic_content|skos:altLabel ?search_label .
                                }
                                FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                SERVICE bds:search {
                                    ?search_label bds:search ?__token__;
                                    bds:minRelevance "0.3";
                                    bds:matchAllTerms "false" ;
                                    bds:relevance ?score .
                                }
                                }
                                ORDER BY desc(?score)                                  
                            '>
                        </semantic-search-query-keyword>
                        
                            <semantic-search-result id="semantic-search-result">
                                <mp-sparql-result-counts id="semantic-search-result-count"
                                    query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                    <template id="template">
                                        <import-lincs-timline>
                                        </import-lincs-timline>
                                        <div style="padding-top: 10px; padding-bottom: 10px;">
                                            <span class="num-results">
                                                [[i18n "found" bundle="languages/resource_search_searchall"
                                                locale=this.lang]]
                                                <span class="num-results-color">
                                                    {{#if
                                                    hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                                </span>
                                                [[i18n "places_in" bundle="languages/resource_search_searchall"
                                                locale=this.lang]]
                                            </span>
                                        </div>
                                    </template>
                                </mp-sparql-result-counts>
                            </semantic-search-result>
                            [[> rsp:SearchResults]]

                    </div>
                </div>
            </semantic-search>
        </bs-tab>  
        <bs-tab class="basicSearch" event-key="Groups"
            title="[[i18n 'search_groups' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search
                config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range . ?field <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/actor>  .  }"]]'>
                <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                    <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
                        <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                    "kind": "date-range",
                                    "valuesQuery": "
                                        SELECT ?dateBeginValue ?dateEndValue WHERE {
                                            FILTER(?__facetRelationPattern__).
                                            ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                crm:P82b_end_of_the_end ?dateEndValue .
                                        } ORDER BY ?dateBeginValue
                                    "
                                }
                            }'>
                        </semantic-search-facet>
                    </div>
                    <div>
                        <semantic-search-query-keyword debounce="500" default-query='
                            SELECT ?subject WHERE { 
                                GRAPH ?graph { ?subject a ?class . }
                                { 
                                    ?class rdfs:subClassOf* crm:E74_Group .
                                }
                                FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                            }
                            ' domain="<http://www.cidoc-crm.org/cidoc-crm/E39_Actor>"
                            placeholder="[[i18n 'search_groups_1' bundle='languages/resource_search_searchall' locale=this.lang]]"
                            query='
                            SELECT ?subject WHERE { 
                                GRAPH ?graph { ?subject a ?class ; rdfs:label|crm:P190_has_symbolic_content|skos:altLabel|skos:prefLabel ?search_label}
                                { 
                                    ?class rdfs:subClassOf* crm:E74_Group .
                                }
                                FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                SERVICE bds:search {
                                    ?search_label bds:search ?__token__;
                                    bds:minRelevance "0.3";
                                    bds:matchAllTerms "false" ;
                                    bds:relevance ?score .
                                }
                                }
                                ORDER BY desc(?score)
                            '>
                        </semantic-search-query-keyword>
                        <semantic-search-result id="semantic-search-result">
                            <mp-sparql-result-counts id="semantic-search-result-count"
                                query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                <template id="template">
                                    <import-lincs-timline>
                                    </import-lincs-timline>
                                    <div style="padding-top: 10px; padding-bottom: 10px;">
                                        <span class="num-results">
                                            [[i18n "found" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                            <span class="num-results-color">
                                                {{#if
                                                hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                            </span>
                                            [[i18n "groups_in" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                        </span>
                                    </div>
                                </template>
                            </mp-sparql-result-counts>
                        </semantic-search-result>
                        [[> rsp:SearchResults]]
                    </div>
                </div>
            </semantic-search>
        </bs-tab>
        <bs-tab class="basicSearch" event-key="searchEvents"
            title="[[i18n 'search_events' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search
                config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/event>  .}"]]'>
                <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                    <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
                        <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                    "kind": "date-range",
                                    "valuesQuery": "
                                        SELECT ?dateBeginValue ?dateEndValue WHERE {
                                            FILTER(?__facetRelationPattern__).
                                            ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                crm:P82b_end_of_the_end ?dateEndValue .
                                        } ORDER BY ?dateBeginValue
                                    "
                                }
                            }'>
                        </semantic-search-facet>
                    </div>
                    <div>
                        <semantic-search-query-keyword debounce="500" default-query='
                                SELECT ?subject WHERE { 
                                    GRAPH ?graph {   
                                        ?subject a ?class .
                                        FILTER( NOT EXISTS {
                                            ?subject a <http://www.cidoc-crm.org/cidoc-crm/E13_Attribute_Assignment>  ;
                                            <http://www.cidoc-crm.org/cidoc-crm/P33_used_specific_technique>  lincs:z7kKbF0M7cw .
                                        })
                                    }
                                    FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                    ?class rdfs:subClassOf* crm:E5_Event .
                                    FILTER(str(?class) != "http://iflastandards.info/ns/fr/frbr/frbroo/F28_Expression_Creation")
                                }         
                            ' domain="<http://www.cidoc-crm.org/cidoc-crm/E2_Temporal_Entity>"
                            placeholder="[[i18n 'search_events_1' bundle='languages/resource_search_searchall' locale=this.lang]]"
                            query='
                                SELECT ?subject WHERE { 
                                    GRAPH ?graph {
                                        ?subject a ?class ;
                                        rdfs:label|crm:P190_has_symbolic_content ?search_label .
                                        FILTER( NOT EXISTS {
                                            ?subject a <http://www.cidoc-crm.org/cidoc-crm/E13_Attribute_Assignment>  ;
                                            <http://www.cidoc-crm.org/cidoc-crm/P33_used_specific_technique>  lincs:z7kKbF0M7cw .
                                        })
                                    }
                                    FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                    ?class rdfs:subClassOf* crm:E5_Event .
                                    SERVICE bds:search {
                                        ?search_label bds:search ?__token__;
                                        bds:minRelevance "0.3";
                                        bds:matchAllTerms "false" ;
                                        bds:relevance ?score .
                                    }
                                    FILTER(str(?class) != "http://iflastandards.info/ns/fr/frbr/frbroo/F28_Expression_Creation")
                                    }
                                    ORDER BY desc(?score)
                                    
                            '>
                        </semantic-search-query-keyword>
                        <semantic-search-result id="semantic-search-result">
                            <mp-sparql-result-counts id="semantic-search-result-count"
                                query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                <template id="template">
                                    <import-lincs-timline>
                                    </import-lincs-timline>
                                    <div style="padding-top: 10px; padding-bottom: 10px;">
                                        <span class="num-results">
                                            [[i18n "found" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                            <span class="num-results-color">
                                                {{#if
                                                hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                            </span>
                                            [[i18n "events_in" bundle="languages/resource_search_searchall"
                                            locale=this.lang]]
                                        </span>
                                    </div>
                                </template>
                            </mp-sparql-result-counts>
                        </semantic-search-result>
                        [[> rsp:SearchResults]]
                    </div>
                </div>
            </semantic-search>
        </bs-tab>

        <bs-tab class="basicSearch" event-key="searchObjects" title="[[i18n 'search_objects' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range .  ?field <http://www.researchspace.org/resource/system/fields/category>  ?category . FILTER((?category = <http://www.researchspace.org/resource/system/formContainer/category/artworks> ) || (?category = <http://www.researchspace.org/resource/system/formContainer/category/bibliographic> ) )}"]]'>
            <div class="rs-results-area" data-flex-layout="row stretch-stretch">
            <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
            <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                          "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                              "kind": "date-range",
                                              "valuesQuery": "
                                                  SELECT ?dateBeginValue ?dateEndValue WHERE {
                                                      FILTER(?__facetRelationPattern__).
                                                      ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                          crm:P82b_end_of_the_end ?dateEndValue .
                                                  } ORDER BY ?dateBeginValue
                                              "
                                          }
                                      }'>
            </semantic-search-facet>
            </div>
            <div>
            <semantic-search-query-keyword debounce="500" default-query='
                                          SELECT ?subject WHERE { 
                                              GRAPH ?graph { ?subject a ?class } .
                                              FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                              {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F1_Work }
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                                          }
                                      ' domain="<http://www.cidoc-crm.org/cidoc-crm/E18_Physical_Thing>" placeholder="[[i18n 'search_objects' bundle='languages/resource_search_objects' locale=this.lang]]" query='
                                          SELECT ?subject WHERE { 
                                              GRAPH ?graph { 
                                                  ?subject a ?class ;
                                                      rdfs:label|crm:P190_has_symbolic_content|skos:altLabel ?search_label . 
                                              }
                                              FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                              {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F1_Work }
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                              UNION
                                              { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                                              SERVICE bds:search {
                                                  ?search_label bds:search ?__token__;
                                                  bds:minRelevance "0.3";
                                                  bds:matchAllTerms "false" ;
                                                  bds:relevance ?score .
                                              }
                                              }
                                              ORDER BY desc(?score)
                                      '>
            </semantic-search-query-keyword>
            <semantic-search-result id="semantic-search-result">
            <mp-sparql-result-counts id="semantic-search-result-count" query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
            <template id="template">
            <import-lincs-timline>
            </import-lincs-timline>
            <div style="padding-top: 10px; padding-bottom: 10px;">
            <span class="num-results">
                         [[i18n "found" bundle="languages/resource_search_objects" locale=this.lang]]
                         <span class="num-results-color">
                          {{#if hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                         </span>
                         [[i18n "objects" bundle="languages/resource_search_objects" locale=this.lang]] LINCS
                        </span>
            </div>
            </template>
            </mp-sparql-result-counts>
            </semantic-search-result>
                    [[>  rsp:SearchResults]]
                   </div>
            </div>
            </semantic-search>
            </bs-tab>                
        <bs-tab class="basicSearch" event-key="searchSources" title="[[i18n 'search_sources' bundle='languages/resource_search_searchall' locale=this.lang]]">
            <semantic-search config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range . ?field <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/bibliographic>  . }"]]'>
            <div class="rs-results-area" data-flex-layout="row stretch-stretch">
            <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
            <semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                          "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                              "kind": "date-range",
                                              "valuesQuery": "
                                                  SELECT ?dateBeginValue ?dateEndValue WHERE {
                                                      FILTER(?__facetRelationPattern__).
                                                      ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                          crm:P82b_end_of_the_end ?dateEndValue .
                                                  } ORDER BY ?dateBeginValue
                                              "
                                          }
                                      }'>
            </semantic-search-facet>
            </div>
            <div>
            <semantic-search-query-keyword debounce="500" default-query='
                                          SELECT ?subject WHERE { 
                                              GRAPH ?graph { 
                                                { ?subject a frbroo:F4_Manifestation_Singleton }
                                                UNION  
                                                { ?subject a frbroo:F2_Expression } 
                                              } .
                                              FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                          }
                                      ' domain="<http://www.cidoc-crm.org/cidoc-crm/E89_Propositional_Object>" placeholder="[[i18n 'search_sources' bundle='languages/resource_search_sources' locale=this.lang]]" query='
                                          SELECT ?subject WHERE { 
                                              GRAPH ?graph { 
                                                { ?subject a frbroo:F4_Manifestation_Singleton ; rdfs:label|crm:P190_has_symbolic_content ?search_label }
                                                UNION  
                                                { ?subject a frbroo:F2_Expression ; rdfs:label|crm:P190_has_symbolic_content ?search_label . } 
                                              }
                                              FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
            
                                              SERVICE bds:search {
                                                  ?search_label bds:search ?__token__;
                                                  bds:minRelevance "0.3";
                                                  bds:matchAllTerms "false" ;
                                                  bds:relevance ?score .
                                              }
                                              }
                                              ORDER BY desc(?score)
                                      '>
            </semantic-search-query-keyword>
            <semantic-search-result id="semantic-search-result">
            <mp-sparql-result-counts id="semantic-search-result-count" query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
            <template id="template">
            <import-lincs-timline>
            </import-lincs-timline>
            <div style="padding-top: 10px; padding-bottom: 10px;">
            <span class="num-results">
                         [[i18n "found" bundle="languages/resource_search_sources" locale=this.lang]]
                         <span class="num-results-color">
                          {{#if hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                         </span>
                         [[i18n "sources_in" bundle="languages/resource_search_sources" locale=this.lang]] LINCS
                        </span>
            </div>
            </template>
            </mp-sparql-result-counts>
            </semantic-search-result>
                    [[>  rsp:SearchResults]]
                   </div>
            </div>
            </semantic-search>
            </bs-tab>

    </bs-tabs>
</div>
[[/rsp:HomeSidebar]]